Bug 59152 - konqueror crash
konqueror crash
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 14:53 EST by Tim Waugh
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-31 14:53:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-01-31 14:53:19 EST
Description of Problem:
Konqueror sometimes crashes when viewing a particular page.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020129.1
kdelibs-3.0.0-0.cvs20020128.3

How Reproducible:
50%

Steps to Reproduce:
1. Go to this URL:
http://www.ananova.com/partners/qxl/index.html?url=http%3A%2F%2Fwww.intelli-tracker.com%2Fe%2Fb.dll%3Fm%3D166%26o%3D1409%26c%3D111%26url%3Dhttp%3A%2F%2Fwww.qxl.com%2Fcgi-bin%2Fqxlhome.cgi%2FEN%2FQXL%2FPR%2FQ1007950800%2F_23818328

Actual Results:
(no debugging symbols found)...[New Thread 1024 (LWP 2051)]
0x40fc0ff9 in wait4 () from /lib/i686/libc.so.6
#0  0x40fc0ff9 in wait4 () from /lib/i686/libc.so.6
#1  0x4104f690 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40df9483 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40605029 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  0x40df77fc in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x415a1aa0 in khtml::RenderTable::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#7  0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#8  0x415a310b in khtml::RenderTableCell::print(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#9  0x415a1c41 in khtml::RenderTable::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#10 0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#11 0x415a310b in khtml::RenderTableCell::print(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#12 0x415a1c41 in khtml::RenderTable::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#13 0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#14 0x415a310b in khtml::RenderTableCell::print(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#15 0x415a1c41 in khtml::RenderTable::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#16 0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#17 0x41594369 in khtml::RenderFlow::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#18 0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#19 0x41594369 in khtml::RenderFlow::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#20 0x41594441 in khtml::RenderFlow::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#21 0x415b4793 in khtml::RenderHtml::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#22 0x415ad991 in khtml::RenderRoot::printObject(QPainter*, int, int, int, int,
int, int) () from /usr/lib/libkhtml.so.4
#23 0x415ad8f5 in khtml::RenderRoot::print(QPainter*, int, int, int, int, int,
int) () from /usr/lib/libkhtml.so.4
#24 0x4150bca7 in KHTMLView::drawContents(QPainter*, int, int, int, int) ()
   from /usr/lib/libkhtml.so.4
#25 0x409a3083 in QScrollView::drawContentsOffset(QPainter*, int, int, int, int,
int, int) () from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x409a1b94 in QScrollView::viewportPaintEvent(QPaintEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x409a1696 in QScrollView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x408b380f in QObject::activate_filters(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x408b3740 in QObject::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x408e7adc in QWidget::event(QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x40866ce4 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x408665c3 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x40597176 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#34 0x408410ac in QWidget::repaint(QRegion const&, bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x408676e6 in QApplication::sendPostedEvents(QObject*, int) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x40867598 in QApplication::sendPostedEvents() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0x4080db57 in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x408682c0 in QApplication::enter_loop() ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x4080d5bd in QApplication::exec() () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x412a2fd7 in main () from /usr/lib/konqueror.so
#41 0x0804d11e in strcpy ()
#42 0x0804de5a in strcpy ()
#43 0x0804e399 in strcpy ()
#44 0x0804f100 in strcpy ()
#45 0x40f20108 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Tim Waugh 2002-03-15 14:06:10 EST
I can't get this to happen any more with kdebase-3.0.0-0.cvs20020314.1.

Note You need to log in before you can comment on or make changes to this bug.